# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# C:\b\abs_a5vat69tv8\clone\recipe, last modified Fri Jan 27 21:07:07 2023
# ------------------------------------------------

package:
  name: gensim
  version: 4.3.0
source:
  sha256: 14f5f46425249ad415f40e6a87cf6b8e19a8649a1805e725947243495b600977
  url: https://github.com/RaRe-Technologies/gensim/archive/refs/tags/4.3.0.tar.gz
build:
  number: '0'
  script: C:\\b\\abs_a5vat69tv8\\croot\\gensim_1674853640591\\_h_env\\python.exe -m
    pip install --no-deps . -vv
  string: py38hd77b12b_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 haa95532_0
    - certifi 2022.12.7 py38haa95532_0
    - cython 0.29.32 py38hd77b12b_0
    - icc_rt 2022.1.0 h6049295_2
    - intel-openmp 2021.4.0 haa95532_3556
    - libffi 3.4.2 hd77b12b_6
    - mkl 2021.4.0 haa95532_640
    - mkl-service 2.4.0 py38h2bbff1b_0
    - mkl_fft 1.3.1 py38h277e83a_0
    - mkl_random 1.2.2 py38hf11a4ad_0
    - numpy 1.19.2 py38ha4e8547_1
    - numpy-base 1.19.2 py38h5bb6eb2_1
    - openssl 1.1.1s h2bbff1b_0
    - pip 22.3.1 py38haa95532_0
    - python 3.8.16 h6244533_2
    - setuptools 65.6.3 py38haa95532_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.40.1 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.1 pyhd3eb1b0_0
    - wincertstore 0.2 py38haa95532_2
  run:
    - numpy >=1.19.2,<2.0a0
    - python >=3.8,<3.9.0a0
    - scipy >=1.7.0
    - smart_open >=1.8.1
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - pip check || cmd /K "exit /b 0"
  imports:
    - gensim
    - gensim.corpora
    - gensim.models
    - gensim.parsing
    - gensim.scripts
    - gensim.similarities
    - gensim.test
    - gensim.topic_coherence
  requires:
    - pip
about:
  description: 'Gensim is a Python library for topic modelling, document indexing

    and similarity retrieval with large corpora.

    Target audience is the natural language processing (NLP)

    and information retrieval (IR) community.

    '
  dev_url: https://github.com/RaRe-Technologies/gensim
  doc_url: https://radimrehurek.com/gensim/
  home: https://github.com/RaRe-Technologies/gensim
  license: LGPL-2.1-only
  license_family: LGPL
  license_file: COPYING
  summary: Topic Modelling for Humans
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: a5f7f44d-96d5-4620-86e9-94def8234f94
  recipe-maintainers:
    - mpenkov
    - souravsingh
  remote_url: git@github.com:AnacondaRecipes/gensim-feedstock.git
  sha: 62cfc3839453e1364b853fbc534e5f917c048309
